---
# tasks file for mariadb

- name: Definir a senha de root
  ansible.builtin.mysql_user:
    name: root
    password: "{{ mariadb_root_senha }}"
    login_unix_socket: /var/run/mysqld/mysqld.sock

- name: Remover todas as contas anônimas
  ansible.builtin.mysql_user:
    name: ''
    host_all: yes
    state: absent
    login_user: root
    login_password: "{{ mariadb_root_senha }}"

- name: Remover a base de teste do MariaDB
  ansible.builtin.mysql_db:
    name: test
    state: absent
    login_user: root
    login_password: "{{ mariadb_root_senha }}"

- name: Criar a base para o Wordpress
  ansible.builtin.mysql_db:
    name: "{{ mariadb_db }}"
    state: present
    login_user: root
    login_password: "{{ mariadb_root_senha }}"

- name: Criar o usuário do MariaDB para o Wordpress
  ansible.builtin.mysql_user:
    name: "{{ mariadb_usuario }}"
    password: "{{ mariadb_senha }}"
    priv: "{{ mariadb_db }}.*:ALL"
    state: present
    login_user: root
    login_password: "{{ mariadb_root_senha }}"

